<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.basic.info.modular.priceMoitorRecord.mapper.PriceMoitorRecordMapper">

    <select id="selectPriceMonitorRecordList"
            resultType="com.unis.basic.info.modular.priceMoitorRecord.vo.PriceMonitorRecordVo">

        select t2.name,t2.address,t2.location_switch
        locationSwitch,t1.create_user,t1.create_time,t1.update_time,t1.update_user
        from biz_price_monitor_record t1 left join biz_price_monitor t2 on t1.price_monitor_id=t2.id
        where 1=1
        <if test="name !=null and name!=''">
            and t2.name like concat("%",#{name},"%")
        </if>

        and t1.delete_flag="NOT_DELETE"

    </select>
</mapper>